ReSID Class Reference
Inheritance diagram for ReSID:

## Public Member Functions

| ReSID (sidbuilder *builder)
const char * | credits () const
void | reset ()
void | reset (uint8_t volume)
uint8_t | read (uint_least8_t addr)
void | write (uint_least8_t addr, uint8_t data)
const char * | error () const
void | clock ()
void | filter (bool enable)
void | voice (unsigned int num, bool mute)
bool | getStatus () const
void | sampling (float systemclock, float freq, SidConfig::sampling_method_t method, bool fast)
void | bias (double dac_bias)
void | model (SidConfig::sid_model_t model)
bool | lock (EventContext *env)
void | unlock ()
Public Member Functions inherited from sidemu
| sidemu (sidbuilder *builder)
sidbuilder * | builder () const
virtual void | sampling (float systemfreq SID_UNUSED, float outputfreq SID_UNUSED, SidConfig::sampling_method_t method SID_UNUSED, bool fast SID_UNUSED)
int | bufferpos () const
void | bufferpos (int pos)
short * | buffer () const
void | poke (uint_least16_t address, uint8_t value)
uint8_t | peek (uint_least16_t address)

## Static Public Member Functions

static const char * | getCredits ()

## Additional Inherited Members

Protected Attributes inherited from sidemu
short * | m_buffer
int | m_bufferpos

The documentation for this class was generated from the following files:

- resid-emu.h
- resid-emu.cpp